---
title: Getting Involved
description: Information on the various ways to participate and interact with the Istio community.
weight: 10
keywords: [community]
icon: community
---
Istio is an open source project with an active community that supports its use and on-going development. We'd love for you
to join us and get involved!
There are quite a few ways to get plugged in:

{{< community_item logo="./discourse.svg" alt="Discourse" >}}
Head for the [Istio discussion board](https://discuss.istio.io) to ask questions,
participate in discussions, and get help troubleshooting problems. You can use your GitHub ID (or Google, Twitter or Yahoo) to log in!
{{< /community_item >}}

{{< community_item logo="./stackoverflow.svg" alt="Stack Overflow" >}}
[Stack Overflow](https://stackoverflow.com/questions/tagged/istio) is for practical questions and curated answers
on deploying, configuring, and using Istio.
{{< /community_item >}}

{{< community_item logo="./slack.svg" alt="Slack" >}}
If you'd like to have live interactions with members of our community, you can join us on
[Istio's Slack](https://istio.slack.com) workspace.
Fill out [this form](https://docs.google.com/forms/d/e/1FAIpQLSfdsupDfOWBtNVvVvXED6ULxtR4UIsYGCH_cQcRr0VcG1ZqQQ/viewform)
to join.
{{< /community_item >}}

{{< community_item logo="./gcal.svg" alt="Community Calendar" >}}
Attend events on our [Community calendar](https://calendar.google.com/calendar/embed?src=i10ogf58krfbrsjai5qi16g4do%40group.calendar.google.com&ctz=America%2FLos_Angeles).
{{< /community_item >}}

{{< community_item logo="./twitter.svg" alt="Twitter" >}}
Follow us on [Twitter](https://twitter.com/IstioMesh) to get the latest news.
{{< /community_item >}}

{{< community_item logo="./github.png" alt="GitHub" >}}
[GitHub](https://github.com/istio/community) is where development takes place on Istio code.
{{< /community_item >}}

{{< community_item logo="./drive.svg" alt="Google Drive" >}}
If you want to get into the nuts and bolts of Istio, check out our growing collection
of design documents. To access these, simply join the
[istio-team-drive-access@](https://groups.google.com/forum/#!forum/istio-team-drive-access) group.
Once you've done that, you can head straight to our
[folder full of technical goodies](https://drive.google.com/corp/drive/u/0/folders/0AIS5p3eW9BCtUk9PVA).
{{< /community_item >}}

{{< community_item logo="./group.svg" alt="Working Groups" >}}
If you'd like to contribute to the Istio project, learn [how we do things](https://github.com/istio/community/blob/master/README.md) and
consider participating in our
[working groups](https://github.com/istio/community/blob/master/WORKING-GROUPS.md).
{{< /community_item >}}

{{< community_item logo="./servicemesher.svg" alt="ServiceMesher" >}}
Our Chinese-language documentation is maintained by the
[ServiceMesher community](https://www.servicemesher.com), join us and get involved!
{{< /community_item >}}

