---
title: Media Resources
description: Official Istio resources for digital and printed materials.
weight: 90
icon: istio-blue-logo
---

Here are a few assets in case you want to show off your support for Istio, integration to Istio, or want to link back to
us. Please feel free to borrow these:

<div class="media-resources">

<table>
  <tbody>
    <tr>
      <td class="logo"><img src="/img/istio-whitelogo-bluebackground-unframed.svg" alt="White logo with 'Istio Blue' background"></td>
      <td class="logo"><img style="background-color: lightgrey" src="/img/istio-whitelogo-nobackground-unframed.svg" alt="White logo with no background"></td>
      <td class="desc">White logo in minimal container, with and without <i>Istio Blue</i> background</td>
    </tr>
    <tr>
      <td class="logo"><img src="/img/istio-whitelogo-bluebackground-framed.svg" alt="White logo with 'Istio Blue' background, square container"></td>
      <td class="logo"><img style="background-color: lightgrey" src="/img/istio-whitelogo-nobackground-framed.svg" alt="White logo with no background, square container"></td>
      <td class="desc">White logo in square container, with and without <i>Istio Blue</i> background</td>
    </tr>
    <tr>
      <td class="logo"><img src="/img/istio-bluelogo-whitebackground-unframed.svg" alt="'Istio Blue` logo with white background"></td>
      <td class="logo"><img style="background-color: lightgrey" src="/img/istio-bluelogo-nobackground-unframed.svg" alt="`Istio Blue` logo with no background"></td>
      <td class="desc"><i>Istio Blue</i> logo in minimal container, with and without white background</td>
    </tr>
    <tr>
      <td class="logo"><img src="/img/istio-bluelogo-whitebackground-framed.svg" alt="'Istio Blue` logo with white background, square container"></td>
      <td class="logo"><img style="background-color: lightgrey" src="/img/istio-bluelogo-nobackground-framed.svg" alt="'Istio Blue` logo with no background, square container"></td>
      <td class="desc"><i>Istio Blue</i> logo in square container, with and without white background</td>
    </tr>
    <tr>
      <td class="logo" colspan="2"><img src="/img/istio-embroideredlogo.png" alt="Embroidered Istio logo"></td>
      <td class="desc">If you're interested in sticking an Istio logo on some physical goods, check out this <a href="/misc/embroidering_logo_instructions.zip">zip file</a> with embroidering instructions.</td>
    </tr>
  </tbody>
</table>

Here's some advice about using these images:

<div class="advice">
    <div class="panel">
        <div class="title">
            <div>
                <p>Cool</p>
            </div>
        </div>
        <div class="body">
            <ul>
                <li>{{< checkmark_icon >}} Use the Istio logo to link to istio.io</li>
                <li>{{< checkmark_icon >}} Use the Istio logo to advertise that your product has support for Istio</li>
                <li>{{< checkmark_icon >}} Use the Istio logo in a blog post or news article about Istio</li>
            </ul>
        </div>
    </div>
    <div class="panel">
        <div class="title">
            <div>
                <p>Not Cool</p>
            </div>
        </div>
        <div class="body">
            <ul>
                <li>{{< cancel_icon >}} Use the Istio logo for your application’s icon</li>
                <li>{{< cancel_icon >}} Create a modified version of the Istio logo</li>
                <li>{{< cancel_icon >}} Integrate the Istio logo into your logo</li>
                <li>{{< cancel_icon >}} Change the Istio logo's colors or aspect ratio</li>
            </ul>
        </div>
    </div>
</div>
</div>
