---
title: What is Istio?
weight: 10
---

Istio is an open platform-independent service mesh that provides traffic management, policy enforcement, and telemetry collection.

*Open*: Istio is being developed and maintained as open-source software. We encourage contributions and feedback from the community at-large.

*Platform-independent*: Istio is not targeted at any specific deployment environment. During the initial stages of development, Istio will support
Kubernetes-based deployments. However, Istio is being built to enable rapid and easy adaptation to other environments.

*Service mesh*: Istio is designed to manage communications between microservices and applications. Without requiring changes to the underlying services, Istio provides automated baseline traffic resilience, service metrics collection, distributed tracing, traffic encryption, protocol upgrades, and advanced routing functionality for all service-to-service communication.

For more detail, please see: [What is Istio?](/pt-br/docs/concepts/what-is-istio/)
