---
title: 创建图表指南
description: 为 Istio 文档创建图表提供素材和说明。
weight: 12
keywords: [contribute,diagram,documentation,guide]
---

欢迎学习 Istio 图表指南！

本指南通过一个 [SVG 文件](./diagram-guidelines.svg) 或者 [Google Draw 文件](https://docs.google.com/drawings/d/1f3NyutAQIDOA8ojGNyMA5JAJllDShZGQAFfdD01XdSc/edit) 使您可以轻松的复用 shape 和 style。
通过本指南，您可以使用任何矢量图绘制工具（例如，Google Draw、InkScape、Illustrator）为 Istio 站点创建 SVG 图表。
请保持图表中的文本处于可编辑状态。

我们的目标是在站点内的所有图表之间实现一致性，以确保图表是清晰、技术表达准确和易读的。

保持文本是可编辑的，以允许社区根据需要修改和改进图表。

若要创建您的图表，请参照下面的步骤：

1. 参考 [指南](./diagram-guidelines.svg)，并根据需要从中复制粘贴。
1. 用适当的线条连接 shape。
1. 用简短的描述性文字标记 shape 和线条。
1. 为多次应用的标签添加图例。
1. 将您的图表 [贡献](/zh/about/contribute/github/#add) 给我们的文档。

如果您是在 Google Draw 中创建图表，请参照下面的步骤：

1. 将您的图表放入到我们的 [team drive](https://drive.google.com/corp/drive/u/0/folders/1jczscJueUBR3IOvH30q9HAZX0jC7GSyW)。
1. 图表绘制完成后，将其导出为 SVG 并将该文件提交在您的 PR 中。
1. 在包含图表的 Markdown 中留下带有 Google Draw 文件 URL 的注释。

如果您的图表包含了步骤，**不要在** 图表中 **为步骤添加描述**。
仅需将步骤的编号添加到图表中，并在文档中为步骤的编号添加描述，请确保两者的编号是匹配的。
这种方法使得图表易于理解，内容的可读性也更好。

感谢您为 Istio 文档做出的贡献！

{{< image width="75%"
    link="./diagram-guidelines.svg"
    alt="The Istio diagram creation guidelines in SVG format."
    title="The Istio Diagram Creation Guidelines"
    >}}
